Bug 64960 - printconf-(gui|tui) die a horrible death
Summary: printconf-(gui|tui) die a horrible death
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 03:17 UTC by Harold Campbell
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-18 09:32:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested by RH. (181 bytes, application/octet-stream)
2002-06-09 18:07 UTC, Harold Campbell
no flags Details

Description Harold Campbell 2002-05-15 03:17:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
The printconf-gui tool dies on startup. The output is:

(process:2413): Gtk-WARNING **: Locale not supported by C library.
	Using the fallback 'C' locale.

(printconf-gui:2413): Gdk-WARNING **: locale not supported by C library

Gdk-WARNING **: locale not supported by C library

Gdk-WARNING **: locale not supported by C library
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "",
	LANG = "en"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 8, in ?
    printconf_gui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_gui.py", line 2066, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_gui.py", line 2021, in gui_main_run
    foomatic_init_overview()
  File "/usr/share/printconf/util/printconf_conf.py", line 1321, in
foomatic_init_overview
    root = parser.parse(foo.fromchild)
  File
"/usr/src/build/75998-i386/install/usr/lib/python1.5/site-packages/xml/utils/qp_xml.py",
line 134, in parse
xml.parsers.expat.ExpatError: no element found: line 3670, column 5


Printconf-tui output is similar.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just run printconf-gui

Actual Results:  death as described

Expected Results:  Printer configuration tool running...

Additional info:

This system was upgraded from RedHat 7.2

Comment 1 Tim Waugh 2002-05-27 15:58:00 UTC
Please attach /etc/alchemist/namespace/printconf/local.adl.  Also, what does 
'rpm -qV printconf foomatic' say?

Comment 2 Harold Campbell 2002-06-09 18:04:56 UTC
$ rpm -qV printconf foomatic
printconf-0.3.77-1
foomatic-1.1-0.20020313.3


Comment 3 Harold Campbell 2002-06-09 18:07:16 UTC
Created attachment 60224 [details]
Requested by RH.

Comment 4 Tim Waugh 2002-06-17 16:08:17 UTC
Please do: rm -rf /var/cache/foomatic/compiled/* 
Does that make the problem go away?

Comment 5 Harold Campbell 2002-06-18 03:51:04 UTC
Yup. That took care of it.

Comment 6 Tim Waugh 2002-06-18 09:40:57 UTC
The overview.xml file was very likely incomplete, and removing it caused it to  
get rebuilt properly. 
 
The current (rawhide) version of foomatic no longer needs this file.

Comment 7 William Hall 2002-07-31 13:17:20 UTC
 I have exactly the same problem as described, but the solution (rm -rf
/var/cache/foomatic/compiled/*) was unsuccessful

Comment 8 Tim Waugh 2002-08-05 16:10:53 UTC
willhall@email.com: Please run 'printconf-backend --force-rebuild' as root.  
Does the problem still happen after that?


Note You need to log in before you can comment on or make changes to this bug.